Search found 442 matches

Go to advanced search

by Gift
Fri Oct 18, 2019 4:05 pm
Forum: Forum in Deutsch
Topic: Linie teilen
Replies: 15
Views: 346

Re: Linie teilen

Noch ein Script. Dieser erstellt ein Part::Vertex, dass dann auch die Achse der Linie enthält. Bei mehren ausgewählten Linien wird anschließend das Ergebnis gruppiert. import Part doc = App.ActiveDocument result = [] for sel in Gui.Selection.getSelectionEx(): for sub in sel.SubObjects: if isinstance...
by Gift
Fri Oct 18, 2019 7:25 am
Forum: Forum in Deutsch
Topic: echte 3D DXF Datei in Freecad zu Solid umwandeln
Replies: 29
Views: 821

Re: echte 3D DXF Datei in Freecad zu Solid umwandeln

Wenn es nur um die Darstellung geht, kannst das Netz auswählen. Dann im Eigenschafteneditor unter Ansicht das Merkmal Lighting auf "two side" stellen.
by Gift
Fri Oct 18, 2019 7:14 am
Forum: Forum in Deutsch
Topic: Linie teilen
Replies: 15
Views: 346

Re: Linie teilen

Das geometrische Element "Punkt" übersieht man gerne, weil die anderen Elemente immer ihre Punkte schon mitbringen. Mein Favorit wäre Variante 6: Einen zusätzlichen Punkt hernehmen und mit einer Symmetriebeschränkung auf die Linie legen. - Punkt neben (!) die Linie legen - Linie und Punkt selektier...
by Gift
Sat Oct 12, 2019 8:13 am
Forum: Forum in Deutsch
Topic: nurbs wb
Replies: 13
Views: 351

Re: nurbs wb

Ist denn die letzte Version von Nurbs installiert? Die wird mit einer neuen Version nicht mit Updates versorgt, sondern muss mit dem Addon Manager aktualisiert werden. berings.py#L23 Das ist im Master-Repo so drin. Konsequenterweise muss in Python3 die Methode "print" mit runden Klammern aufgerufen...
by Gift
Sat Oct 12, 2019 7:59 am
Forum: Forum in Deutsch
Topic: echte 3D DXF Datei in Freecad zu Solid umwandeln
Replies: 29
Views: 821

Re: echte 3D DXF Datei in Freecad zu Solid umwandeln

Anbei mit einer Punktewolke. Aus der sollte sich ein Netz erstellen lassen.

Code: Select all

import Points
grp = []
for ln in result:
    if ln.z1() > 0.001:
       grp.append(FreeCAD.Vector(ln.x1(),ln.y1(),ln.z1()))



pts = Points.Points()
pts.addPoints(grp)
points = Points.show(pts)
by Gift
Fri Oct 11, 2019 9:14 pm
Forum: Forum in Deutsch
Topic: echte 3D DXF Datei in Freecad zu Solid umwandeln
Replies: 29
Views: 821

Re: echte 3D DXF Datei in Freecad zu Solid umwandeln

Die DXF-Datei enthält einfach nur Linien. Ich hatte mal eine einfache DXF-Lib mit numpy gebastelt. Wenn du Konsole kopierst, kannst du die nachfolgenden Schritt testen: 1. fc_dxflib.py # a FreeCAD Library #*************************************************************************** #* (c) Benjamin Al...
by Gift
Fri Oct 11, 2019 7:20 pm
Forum: Forum in Deutsch
Topic: nurbs wb
Replies: 13
Views: 351

Re: nurbs wb

Hallo zusammen,

die Fehlermeldung zeigt eine fehlende Portierung auf Python 3. Da die Nurbs-WB sehr umfangreich ist, wäre das ein größeres Projekt. Welches Feature möchtest du nutzen?

Gruß
Benjamin
by Gift
Thu Sep 26, 2019 5:25 pm
Forum: Forum in Deutsch
Topic: FreeCad und Rechnerleistung ?
Replies: 19
Views: 678

Re: FreeCad und Rechnerleistung ?

Da bekommt man doch hunger auf Lakritz. Da FreeCAD sich leicht erweitern lässt, ist es vor allem bei zugeschnitten Lösung schnell. Da beeindruckt der Thomas (microelly) immer wieder mit Numpy-Implementierungen. Je nach kompilierter Version unterstütz Numpy MMX, SSE usw. wo dann über eine Art Coproze...
by Gift
Thu Sep 26, 2019 5:00 pm
Forum: Forum in Deutsch
Topic: Funktion(sname) gesucht
Replies: 3
Views: 134

Re: Funktion(sname) gesucht

Der gesuchte Begriff ist Offset. Habe ich jetzt beim Spieleabend gewonnen?
by Gift
Fri Sep 20, 2019 2:18 pm
Forum: Forum in Deutsch
Topic: Darstellungsproblem: Menü weg, Maus klickt nicht beim Zeiger
Replies: 8
Views: 217

Re: Darstellungsproblem: Menü weg, Maus klickt nicht beim Zeiger

Hallo Stefan,

Betriebsystem und die genaue Version von FreeCAD**1 sowie Grafikkarte sind wichtig.

**1 FreeCAD Version

@chrisb:

Der aktuelle Zweig stimmt bei dem Link nicht.

Go to advanced search